%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Cache

##define beta RC4

Name:           php-pear-Cache
Version:        1.5.6

%if %{?beta:0}%{!?beta:1}
Release:        1%{?dist}
%else
Release:        0.2.%{beta}%{?dist}
%endif
Summary:        Framework for caching of arbitrary data

Group:          Development/Libraries
License:        PHP
URL:            http://pear.php.net/package/Cache
Source0:        http://pear.php.net/get/%{pear_name}-%{version}%{?beta}.tgz
Source2:        xml2changelog

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.7.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}
Requires:       php-pear(PEAR) >= 1.7.0
Requires(hint): php-pear(HTTP_Request)

%description
With the PEAR Cache you can cache the result of certain function
calls, as well as the output of a whole script run or share data
between applications.


%prep
%setup -q -c
%{_bindir}/php -n %{SOURCE2} package.xml | tee CHANGELOG | head -n 10

# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}%{?beta}
# package.xml is V2
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}%{?beta}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}%{?beta}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml


# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc CHANGELOG
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Cache.php
%{pear_phpdir}/Cache
%{pear_datadir}/Cache


%changelog
* Wed Oct 27 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.6-1
- Version 1.5.6 (stable) - API 1.5.5 (stable) - QA release
- set timezone during build

* Fri May 14 2010 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-4
- spec cleanup

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Oct  7 2008 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-1
- finale 1.5.5

* Wed Aug 22 2007 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-0.2.RC4
- fix License

* Fri Nov 10 2006 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-0.1.RC4
- use define beta (rather than fullversion)

* Tue Nov  7 2006 Remi Collet <Fedora@FamilleCollet.com> 1.5.5-0.1.rc4
- generated specfile (pear make-rpm-spec) + cleaning
- generated CHANGELOG
- add LICENSE

